#!/usr/bin/python

import logging
import re

log = logging.getLogger(__name__)
entrances_map = ''


def import_entrances(spoiler_log='/home/alice/Games/steam/steamapps/compatdata/553420/pfx/drive_c/users/steamuser/AppData/LocalLow/Andrew Shouldice/Secret Legend/Randomizer/Spoiler.log'):
    """A function to import the entrance mappings from the user's spoiler log.

    Args:
        spoiler_log (str, optional): The filepath of the spoiler log. Defaults to '/home/alice/Games/steam/steamapps/compatdata/553420/pfx/drive_c/users/steamuser/AppData/LocalLow/Andrew Shouldice/Secret Legend/Randomizer/Spoiler.log'.
    """

    try:
        with open(spoiler_log, 'r') as f:
            spoiler_text = f.read()
            entrances_map = re.findall('\s+- (.+) -- (.+)\n', spoiler_text)
    except:
        print(f'Could not find spoiler log from path: {spoiler_log}')

    for l in entrances_map:
        print(f'{l[0]} <---> {l[1]}')
